Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.trans.performance
Class StepPerformanceSnapShot

    java.lang.Object
      org.pentaho.di.trans.performance.StepPerformanceSnapShot

    public class StepPerformanceSnapShot

extends Object

Constructor Summary
`StepPerformanceSnapShot(Date date, String stepName, int stepCopy, long totalLinesRead, long totalLinesWritten, long totalLinesInput, long totalLinesOutput, long totalLinesUpdated, long totalLinesRejected, long totalErrors)`

Method Summary
`void` | `diff(StepPerformanceSnapShot previous, long inputBufferSize, long outputBufferSize)`
`Date` | `getDate()`
`long` | `getErrors()`
`long` | `getInputBufferSize()`
`long` | `getLinesInput()`
`long` | `getLinesOutput()`
`long` | `getLinesRead()`
`long` | `getLinesRejected()`
`long` | `getLinesUpdated()`
`long` | `getLinesWritten()`
`long` | `getOutputBufferSize()`
`int` | `getStepCopy()`
`String` | `getStepName()`
`long` | `getTimeDifference()`
`long` | `getTotalErrors()`
`long` | `getTotalLinesInput()`
`long` | `getTotalLinesOutput()`
`long` | `getTotalLinesRead()`
`long` | `getTotalLinesRejected()`
`long` | `getTotalLinesUpdated()`
`long` | `getTotalLinesWritten()`
`void` | `setDate(Date date)`
`void` | `setErrors(long errors)`
`void` | `setInputBufferSize(long inputBufferSize)`
`void` | `setLinesInput(long linesInput)`
`void` | `setLinesOutput(long linesOutput)`
`void` | `setLinesRead(long linesRead)`
`void` | `setLinesRejected(long linesRejected)`
`void` | `setLinesUpdated(long linesUpdated)`
`void` | `setLinesWritten(long linesWritten)`
`void` | `setOutputBufferSize(long outputBufferSize)`
`void` | `setStepCopy(int stepCopy)`
`void` | `setStepName(String stepName)`
`void` | `setTimeDifference(long timeDifference)`
`void` | `setTotalErrors(long totalErrors)`
`void` | `setTotalLinesInput(long totalLinesInput)`
`void` | `setTotalLinesOutput(long totalLinesOutput)`
`void` | `setTotalLinesRead(long totalLinesRead)`
`void` | `setTotalLinesRejected(long totalLinesRejected)`
`void` | `setTotalLinesUpdated(long totalLinesUpdated)`
`void` | `setTotalLinesWritten(long totalLinesWritten)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StepPerformanceSnapShot

    public StepPerformanceSnapShot(Date date,
                                   String stepName,
                                   int stepCopy,
                                   long totalLinesRead,
                                   long totalLinesWritten,
                                   long totalLinesInput,
                                   long totalLinesOutput,
                                   long totalLinesUpdated,
                                   long totalLinesRejected,
                                   long totalErrors)

Parameters:
  `date` -
  `stepName` -
  `stepCopy` -
  `totalLinesRead` -
  `totalLinesWritten` -
  `totalLinesInput` -
  `totalLinesOutput` -
  `totalLinesUpdated` -
  `totalLinesRejected` -
  `totalErrors` -

Method Detail

### diff

    public void diff(StepPerformanceSnapShot previous,
                     long inputBufferSize,
                     long outputBufferSize)

### getDate

    public Date getDate()

  Returns:
    the date

### setDate

    public void setDate(Date date)

  Parameters:
    `date` - the date to set

### getStepName

    public String getStepName()

  Returns:
    the stepName

### setStepName

    public void setStepName(String stepName)

  Parameters:
    `stepName` - the stepName to set

### getStepCopy

    public int getStepCopy()

  Returns:
    the stepCopy

### setStepCopy

    public void setStepCopy(int stepCopy)

  Parameters:
    `stepCopy` - the stepCopy to set

### getTotalLinesRead

    public long getTotalLinesRead()

  Returns:
    the totalLinesRead

### setTotalLinesRead

    public void setTotalLinesRead(long totalLinesRead)

  Parameters:
    `totalLinesRead` - the totalLinesRead to set

### getTotalLinesWritten

    public long getTotalLinesWritten()

  Returns:
    the totalLinesWritten

### setTotalLinesWritten

    public void setTotalLinesWritten(long totalLinesWritten)

  Parameters:
    `totalLinesWritten` - the totalLinesWritten to set

### getTotalLinesInput

    public long getTotalLinesInput()

  Returns:
    the totalLinesInput

### setTotalLinesInput

    public void setTotalLinesInput(long totalLinesInput)

  Parameters:
    `totalLinesInput` - the totalLinesInput to set

### getTotalLinesOutput

    public long getTotalLinesOutput()

  Returns:
    the totalLinesOutput

### setTotalLinesOutput

    public void setTotalLinesOutput(long totalLinesOutput)

  Parameters:
    `totalLinesOutput` - the totalLinesOutput to set

### getTotalLinesUpdated

    public long getTotalLinesUpdated()

  Returns:
    the totalLinesUpdated

### setTotalLinesUpdated

    public void setTotalLinesUpdated(long totalLinesUpdated)

  Parameters:
    `totalLinesUpdated` - the totalLinesUpdated to set

### getTotalLinesRejected

    public long getTotalLinesRejected()

  Returns:
    the totalLinesRejected

### setTotalLinesRejected

    public void setTotalLinesRejected(long totalLinesRejected)

  Parameters:
    `totalLinesRejected` - the totalLinesRejected to set

### getTotalErrors

    public long getTotalErrors()

  Returns:
    the totalErrors

### setTotalErrors

    public void setTotalErrors(long totalErrors)

  Parameters:
    `totalErrors` - the totalErrors to set

### getTimeDifference

    public long getTimeDifference()

  Returns:
    the timeDifference

### setTimeDifference

    public void setTimeDifference(long timeDifference)

  Parameters:
    `timeDifference` - the timeDifference to set

### getLinesRead

    public long getLinesRead()

  Returns:
    the linesRead

### setLinesRead

    public void setLinesRead(long linesRead)

  Parameters:
    `linesRead` - the linesRead to set

### getLinesWritten

    public long getLinesWritten()

  Returns:
    the linesWritten

### setLinesWritten

    public void setLinesWritten(long linesWritten)

  Parameters:
    `linesWritten` - the linesWritten to set

### getLinesInput

    public long getLinesInput()

  Returns:
    the linesInput

### setLinesInput

    public void setLinesInput(long linesInput)

  Parameters:
    `linesInput` - the linesInput to set

### getLinesOutput

    public long getLinesOutput()

  Returns:
    the linesOutput

### setLinesOutput

    public void setLinesOutput(long linesOutput)

  Parameters:
    `linesOutput` - the linesOutput to set

### getLinesUpdated

    public long getLinesUpdated()

  Returns:
    the linesUpdated

### setLinesUpdated

    public void setLinesUpdated(long linesUpdated)

  Parameters:
    `linesUpdated` - the linesUpdated to set

### getLinesRejected

    public long getLinesRejected()

  Returns:
    the linesRejected

### setLinesRejected

    public void setLinesRejected(long linesRejected)

  Parameters:
    `linesRejected` - the linesRejected to set

### getErrors

    public long getErrors()

  Returns:
    the errors

### setErrors

    public void setErrors(long errors)

  Parameters:
    `errors` - the errors to set

### getInputBufferSize

    public long getInputBufferSize()

  Returns:
    the inputBufferSize

### setInputBufferSize

    public void setInputBufferSize(long inputBufferSize)

  Parameters:
    `inputBufferSize` - the inputBufferSize to set

### getOutputBufferSize

    public long getOutputBufferSize()

  Returns:
    the outputBufferSize

### setOutputBufferSize

    public void setOutputBufferSize(long outputBufferSize)

  Parameters:
    `outputBufferSize` - the outputBufferSize to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD